Page MenuHomePhabricator

OOjs UI: optionWidget with check icon should not appear for invalid entries in the category input field.
Closed, ResolvedPublic

Description

screenshot

Environment- test2, beta, production.

1> enter in some invalid title characters in the category input field.E.g– “>>”.
2> Notice the field label that appears when you do the above step.

See screenshot.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz72000

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:50 AM
bzimport added a project: OOUI.
bzimport set Reference to bz72000.
Swainr created this task.Oct 13 2014, 3:59 PM

Can't reproduce anymore, must have been fixed at some point.

matmarex moved this task from Backlog to Next-up on the OOUI board.Dec 5 2014, 4:01 PM
matmarex moved this task from Next-up to Doing on the OOUI board.
Swainr added a comment.Dec 5 2014, 5:28 PM

Looks like it got fixed.But, now when invalid characters are entered in the input field , JS error-

"Uncaught TypeError: Cannot read property 'replace' of null" appears.See screenshot.

Hmm, that's probably the root cause of T76868 I recently filed after looking at this bug. :)

Jdforrester-WMF closed this task as Resolved.Dec 5 2014, 7:59 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:59 PM